# Personal Website

This repo has the content for https://www.jmsgrogan.com/


## Building ##

The site is built with my [dialann](https://git.jmsgrogan.com/jgrogan/dialann) generator.

To set up the build environment do:

``` shell
git clone https://git.jmsgrogan.com/jgrogan/dialann
cd dialann
python -m venv .venv
source .venv/bin/activate
pip install .
cd ..
```

To do the build:

``` shell
cd personal-site/src
dialann --build_dir=../build
```

To deploy the build (assumes a particular server environment and local ssh setup):

``` shell
cd ..
./infra/deploy.sh
```

## License ##

Software and content in this repo are Copyright of James Grogan. You can use software under the GPLV3+, a copy of which can be found in the accompanying `LICENSE` file.

Other content can be used under a CC BY-SA 4.0 license, see [here](https://creativecommons.org/licenses/by-sa/4.0/deed.en) for details.
